<?php
try {
    /* Konfiguracja serwera MySQL */
    $db_server = 'localhost';
    $db_name   = 'db_php8';
    $db_user   = 'db_php8';
    $db_passwd = 'WETFD8toJyKLWtXC'; // u Ciebie będzie z pewnością inne :)

    // otwórz połączenie z bazą danych MYSQL
    $db_pdo = new PDO(
        "mysql:host=$db_server;dbname=$db_name",
        $db_user,
        $db_passwd,
        [PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"]
    );
    
    // włącz obsługę wyjątków dla obsługi interfejsu PDO
    $db_pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // wyślij zapytanie do bazy i pobierz wyniki
    $wynik = $db_pdo->query(
        "SELECT imie, wiek FROM UczestnicyBalu ORDER BY wiek ASC;"
    );

    $db_pdo = null; // zamknij połączenie z bazą
    
    // przetwórz pobrane rekordy i wydrukuj
    print "Uczestnicy balu:".PHP_EOL;
    while ($wiersz = $wynik->fetch()) {
        printf("Imię: %s, wiek: %d".PHP_EOL, $wiersz['imie'], $wiersz['wiek']);
    }

} catch (PDOException $e) {
    print "Błąd!: " . $e->getMessage();
    die();
}